/*
 * Fonts
 */
@media screen {
	/* This form of importing fonts does not work when printing. So let's only
	 * use this import for browser rendering. For printing, we rely on these
	 * fonts to be installed locally.
	 */
    @import 'fonts.css';
}

html {
    font-family: 'Noto Sans', sans-serif;
}

.remark-code, .remark-inline-code {
    font-family: 'Noto Sans Mono', monospace;
}
.remark-code {
    font-variant-ligatures: none; /* Make the text wrap if lines are too long */
    overflow-x: visible;
    white-space: pre-wrap;
    word-wrap: break-word;
}
.remark-slide-number {
    font-size: 60%;
}

h1, h2, h3, h4 {
    font-weight: normal;
}

/* Optional classes for size (mimics LateX commands) */
.Huge { font-size: 130%;  }
.huge { font-size: 120%;  }
.LARGE { font-size: 115%;  }
.Large { font-size: 110%;  }
.large { font-size: 105%;  }
.font95 { font-size: 95%; }
.small, .font90 { font-size: 90%; }
.font85 { font-size: 85%; }
.footnotesize, .font80 { font-size: 80%; }
.font75 { font-size: 75%; }
.scriptsize, .font70 { font-size: 70%; }
.font65 { font-size: 65%; }
.tiny, .font60 { font-size: 60%; }
.font55 { font-size: 55%; }
.supertiny, .font50 { font-size: 50%; }

/* Make nested levels in lists be smaller */
li > ul > li {
    font-size: 95%;
}


/*
 * Colors
 */
:root {
    /* UC Davis Blue */
    --ucd-blue-100: #002855;
    --ucd-blue-90: #1A3E68;
    --ucd-blue-80: #335379;
    --ucd-blue-70: #4D688C;
    --ucd-blue-60: #667D9D;
    --ucd-blue-50: #7F93AE;
    --ucd-blue-40: #99A9BF;
    --ucd-blue-30: #B2BDCF;
    --ucd-blue-20: #CCD4E0;
    --ucd-blue-10: #E5E9EF;
    /* UC Davis Gold */
    --ucd-gold-100: #DAAA00;
    --ucd-gold-90: #DEB31A;
    --ucd-gold-80: #E1BB33;
    --ucd-gold-70: #E5C44D;
    --ucd-gold-60: #E9CC66;
    --ucd-gold-50: #ECD47F;
    --ucd-gold-40: #F0DD99;
    --ucd-gold-30: #F4E5B2;
    --ucd-gold-20: #F8EECC;
    --ucd-gold-10: #FBF6E5;
    /* UC Davis Black */
    --ucd-black-100: #000000;
    --ucd-black-80: #333333;
    --ucd-black-70: #4C4C4C;
    --ucd-black-60: #666666;
    --ucd-black-50: #808080;
    --ucd-black-40: #999999;
    --ucd-black-30: #B2B2B2;
    --ucd-black-20: #CCCCCC;
    --ucd-black-10: #E5E5E5;
}


/*
 * Margins
 */
h1 {
    margin-top: 0.0em;
    margin-bottom: 0.0em;
    border-bottom: 1px solid var(--ucd-gold-100);
    color: var(--ucd-blue-100);
}
h2, h3, h4 {
    margin-top: 0.0em;
    margin-bottom: 0.1em;
    color: var(--ucd-blue-80);
}
p, pre, img {
    margin-top: 0.5em;
    margin-bottom: 0.3em;
}
ul, ol {
    margin-top: 0.0em;
    margin-bottom: 0.0em;
}
li {
    margin-top: 0.2em;
    margin-bottom: 0.2em;
}


/*
 * Images (default width)
 */
.remark-slide-content img { width: 100%; }


/*
 * Code (default background)
 */
.remark-inline-code {
    background-color: #F0F0F0; /* Match highlight.js' default color */
}

.remark-code-span-highlighted {
    padding: 0;
}


/*
 * Code hovering
 */
.remark-code-line {
  transition: background-color 0.25s ease;
}
.remark-code-line:hover {
  background-color: #D0D0D0;
  transition: background-color 0s ease;
}

/*
 * Remarkjs classes
 */

/* Colored text */
.red { color: red; }
.green { color: green; }
.gray { color: gray; }
.ucdblue { color: var(--ucd-blue-100); }
.ucdgold { color: var(--ucd-gold-100); }

/* Two-column layout */
.lcol { width: 49%; float: left; clear: left;}
.rcol { width: 49%; float: right; clear: right;}
.wide { clear: both; }
/* Subconfigurations */
.lcol15 { width: 14%; float: left; clear: left;}
.lcol25 { width: 24%; float: left; clear: left;}
.lcol33 { width: 32%; float: left; clear: left;}
.lcol30 { width: 29%; float: left; clear: left;}
.lcol40 { width: 39%; float: left; clear: left;}
.lcol45 { width: 44%; float: left; clear: left;}
.lcol55 { width: 54%; float: left; clear: left;}
.lcol60 { width: 59%; float: left; clear: left;}
.lcol66 { width: 65%; float: left; clear: left;}
.lcol70 { width: 69%; float: left; clear: left;}
.lcol75 { width: 74%; float: left; clear: left;}
.lcol85 { width: 84%; float: left; clear: left;}
.rcol15 { width: 14%; float: right; clear: right;}
.rcol25 { width: 24%; float: right; clear: right;}
.rcol30 { width: 29%; float: right; clear: right;}
.rcol33 { width: 32%; float: right; clear: right;}
.rcol40 { width: 39%; float: right; clear: right;}
.rcol45 { width: 44%; float: right; clear: right;}
.rcol55 { width: 54%; float: right; clear: right;}
.rcol60 { width: 59%; float: right; clear: right;}
.rcol66 { width: 65%; float: right; clear: right;}
.rcol70 { width: 69%; float: right; clear: right;}
.rcol75 { width: 74%; float: right; clear: right;}
.rcol85 { width: 84%; float: right; clear: right;}

/* Footnotes */
.footnote { position: absolute; bottom: 12px; left: 20px; font-size: 60%; }
.ref { color: red; vertical-align: super; font-size: 80%; }

/* Quote blocks */
blockquote {
    font-style: italic;
    padding-left: 15px;
    border-left: 3px solid var(--ucd-blue-10);
}

/* Comments */
.comment { display: none }


/*
 * Presenter mode
 */
/* Note preview: only show the notes for the current slide, not for the next */
.remark-notes-area .remark-bottom-area .remark-notes-current-area {
    height: 100%;
}
.remark-notes-area .remark-bottom-area .remark-notes-preview-area {
    height: 0%;
}

/* Slide preview: show the current slide bigger than the next */
/*
 * NOTE: deactivated for now because I don't need in my current lecture hall
 *
 * .remark-container.remark-presenter-mode .remark-slides-area {
 * height: 67.25%;
 * }
 *
 * .remark-container.remark-presenter-mode .remark-preview-area {
 * height: 27.25%;
 * }
 */

/*
 * Tables
 *
 * Code below taken from:
 * https://github.com/yahoo/pure/blob/master/src/tables/css/tables.css and
 * adapted for my needs
 */
table {
    /* Remove spacing between table cells (from Normalize.css) */
    border-collapse: collapse;
    border-spacing: 0;
    empty-cells: show;
    border: 1px solid #cbcbcb;
    margin-top: 0.5em;
    margin-bottom: 0.3em;
}

.center table {
    margin-left: auto;
    margin-right: auto;
}

table td,
table th {
    border-left: 1px solid #cbcbcb;/*  inner column border */
    border-width: 0 0 0 1px;
    font-size: inherit;
    margin: 0;
    overflow: visible; /*to make ths where the title is really long work*/
    padding: 0.5em 1em; /* cell padding */
}

/* Consider removing this next declaration block, as it causes problems when
there's a rowspan on the first cell. Case added to the tests. issue#432 */
table td:first-child,
table th:first-child {
    border-left-width: 0;
}

table thead {
    background-color: #e0e0e0;
    color: #000;
    text-align: left;
    vertical-align: bottom;
}

/* Even rows: transparent color */
table td {
    background-color: transparent;
}
/* Odd rows: gray color */
table-odd td {
    background-color: #f8f8f8;
}
table tr:nth-child(2n-1) td {
    /* nth-child selector version for modern browsers */
    background-color: #f8f8f8;
}

/* Bordered tables */
table td {
    border-bottom: 1px solid #cbcbcb;
}
table tbody > tr:last-child > td {
    border-bottom-width: 0;
}

/* Horizontal bordered tables */
table-horizontal td,
table-horizontal th {
    border-width: 0 0 1px 0;
    border-bottom: 1px solid #cbcbcb;
}
table-horizontal tbody > tr:last-child > td {
    border-bottom-width: 0;
}


/*
 * For printing
 */
@media print {
    .remark-slide-scaler {
        width: 100% !important;
        height: 100% !important;
        transform: scale(1) !important;
        top: 0 !important;
        left: 0 !important;
    }
}
